lib

# Class: SchemaItem

Source Location: /lib/schema.inc

### Class Overview

Generic parent class for all schema items. A schema item is an ObjectClass, an AttributeBype, a MatchingRule, or a Syntax.

### Variables

- $description
- $oid

### Methods

- SchemaItem
- getDescription
- getOID
- initVars
- setDescription
- setOID

### Child classes:

ObjectClass
  Represents an LDAP objectClass

AttributeType
  Represents an LDAP AttributeType

Syntax
  Represents an LDAP Syntax

MatchingRule
  Represents an LDAP MatchingRule

MatchingRuleUse
  Represents an LDAP schema matchingRuleUse entry

### Class Details

[line 45]
Generic parent class for all schema items. A schema item is an ObjectClass, an AttributeBype, a MatchingRule, or a Syntax.

All schema items have at least two things in common: An OID and a description. This class provides an implementation for these two data.

[ Top ]

### Class Variables

#### $description =

[line 50]

The description of this schema item.

Type: | mixed

[ Top ]

#### $oid =

[line 48]

The OID of this schema item.

Type: | mixed

[ Top ]

### Class Methods

### constructor SchemaItem [line 60]

`SchemaItem SchemaItem( )`

Default constructor.
[ Top ]

### method getDescription [line 80]

`void getDescription( )`

[ Top ]

### method getOID [line 75]

`void getOID( )`

[ Top ]

### method initVars [line 53]

`void initVars( )`

Initialize class members to default values.

Overridden in child classes as:

ObjectClass::initVars()
  Initialize the class' member variables

AttributeType::initVars()
  Initialize the class' member variables

Syntax::initVars()
  Initializes the class' member variables

MatchingRule::initVars()
  Initialize the class' member variables

MatchingRuleUse::initVars()
  Initialize the class' member variables

[ Top ]

### method setDescription [line 70]

`void setDescription( $new_desc)`

#### Parameters:

| $new_desc |

[ Top ]

### method setOID [line 65]

`void setOID( $new_oid)`

#### Parameters:

| $new_oid |

[ Top ]

Documentation generated on Mon, 28 Apr 2008 20:17:50 +0200 by phpDocumentor 1.4.0